%global git_date    20130330
%global git_version 0a5aa2 
%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

Name:           gnome-pie
Version:        0.5.5
Release:        9.%{git_date}git%{git_version}%{?dist}
Summary:        A visual application launcher for Gnome

License:        GPLv3+
URL:            http://%{name}.simonschneegans.de/

# git clone https://github.com/Simmesimme/Gnome-Pie.git gnome-pie 
# cd gnome-pie
# git archive --format=tar HEAD | xz  > {name}-{version}.{git_date}git{git_version}.tar.xz
Source0:        %{name}-%{version}.%{git_date}git%{git_version}.tar.xz        
Patch0:         CMakeLists.patch

BuildRequires:  vala-devel
%if 0%{?fedora} >= 21
BuildRequires:  bamf-devel
%else
BuildRequires:  bamf3-devel 
%endif
BuildRequires:  pkgconfig(libwnck-3.0)
BuildRequires:  pkgconfig(gee-1.0)
BuildRequires:  libxml2-devel
BuildRequires:  gtk3-devel
BuildRequires:  cmake
BuildRequires:  unique3-devel
BuildRequires:  libgee-devel
BuildRequires:  libXtst-devel
BuildRequires:  gnome-menus-devel
BuildRequires:  desktop-file-utils      

Requires(post):  info
Requires(preun): info

%description
Gnome-Pie is a circular application launcher for Linux. It is made of
several pies, each consisting of multiple slices. The user presses a 
key stroke which opens the desired pie. By activating one of its slices,
applications may be launched, key presses may be simulated or files can 
be opened.

%prep
%setup -q -cn %{name}-%{version}
%patch0 -p0

%build
cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_LDFLAGS=-lgthread
make CFLAGS='%{optflags}' %{?_smp_mflags}

%install
%make_install
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop
rm -rf $RPM_BUILD_ROOT%{_defaultdocdir}
%find_lang gnomepie

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f gnomepie.lang
%doc AUTHORS COPYING TRANSLATING README.md
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_mandir}/man1/%{name}.1.*

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.5-9.20130330git0a5aa2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.5-8.20130330git0a5aa2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.5-7.20130330git0a5aa2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.5-6.20130330git0a5aa2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jun 12 2014 Yaakov Selkowitz <yselkowi@redhat.com> - 0.5.5-5.20130330git0a5aa2
- Fix BuildRequires (#1106682)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.5-4.20130330git0a5aa2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Aug 13 2013 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 0.5.5-3.20130330git0a5aa2
- Fixed doc section 

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.5-2.20130330git0a5aa2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Apr 06 2013 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 0.5.5-1.20130330git0a5aa2
- New version release, which have major fixes 

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-3.20120826git1b93e1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Sep 06 2012 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 0.5.3-2.20120826git1b93e1
- Added Debug info package 

* Sun Aug 26 2012 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 0.5.3-1.20120826git1b93e1
- Added latest version of gnome-pie

* Sat Oct 22 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 0.2-1
- Initial version of the package
